<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Activity-A</title>
</head>
<body>
	<!-- Created for the first part (to make the text italic) -->
	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>

	<hr>

	<!-- For the Header or Title of the Article -->

	<h1> Software Engineering Code of Ethics and Professional Practice </h1>
	<!-- used h3 as the size of the font for sub heading -->
	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>

	<hr>
	<!-- Used b tag to bold the word "keyword" -->
	<p><b>Keywords</b>: code of ethics, professional responsibility, software engineering</p>

	<p><b>PREAMBLE</b></p>

	<p>
		The short version of the code summarizes aspirations at a high levelof abstraction. The clauses that are included in the full version give examples and details of how these aspiration change the way we act as software engineering professionals. Without the aspirations, the details can become legalisticand tedious; without the details, the aspiration can become high-sounding but empty; together, the aspiration and the details form a cohesive code.
	</p>

	<p>
		Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eight Principles: 
	</p>

	<p><b>PRINCIPLES</b></p>

	<ol>
		<li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>

		<li><em>Client and employer</em>. Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li>

		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>

		<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>

		<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>

		<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>

		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues. </li>

		<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession. </li>
	</ol>
</body>
</html>